package com.ruoyi.kaohe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考核结果对象 kh_khrw_result
 *
 * @author hs
 * @date 2025-07-09
 */
public class KhKhrwResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 考核id */
    @Excel(name = "考核id")
    private Long pcId;

    /** 考核名称 */
    @Excel(name = "考核名称")
    private String pcName;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String temName;

    /** 表头 */
    @Excel(name = "表头")
    private String tableHeader;

    /** 表数据 */
    @Excel(name = "表数据")
    private String tableData;

    public String getTemName() {
        return temName;
    }

    public void setTemName(String temName) {
        this.temName = temName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setPcId(Long pcId)
    {
        this.pcId = pcId;
    }

    public Long getPcId()
    {
        return pcId;
    }

    public void setPcName(String pcName)
    {
        this.pcName = pcName;
    }

    public String getPcName()
    {
        return pcName;
    }

    public void setTableHeader(String tableHeader)
    {
        this.tableHeader = tableHeader;
    }

    public String getTableHeader()
    {
        return tableHeader;
    }

    public void setTableData(String tableData)
    {
        this.tableData = tableData;
    }

    public String getTableData()
    {
        return tableData;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pcId", getPcId())
                .append("pcName", getPcName())
                .append("temName", getTemName())
                .append("tableHeader", getTableHeader())
                .append("tableData", getTableData())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
